---
updatedAt: 2025-09-18T21:54:01.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getTransactionByHash

Returns the information about a transaction from a transaction hash.

> 📘 Supported on Arbitrum One (Nitro) only.

## Parameters

* `hash` - The hash of a transaction.

## Returns

* `object` - Transaction Response Object, or null if no transaction is found:
  * `hash` - The hash of the transaction
  * `nonce` - The number of transactions made by the sender prior to this one encoded as hexadecimal.
  * `blockHash` - The hash of the block where this transaction was in. null if pending.
  * `blockNumber` - The block number where this transaction was in. null if pending.
  * `transactionIndex` - Integer of the transactions index position in the block. null if pending.
  * `from` - Address of the sender.
  * `to` - Address of the receiver. Null when its a contract creation transaction.
  * `value` - The value transferred in Wei, encoded as a hexadecimal.
  * `gasPrice` - The gas price provided by the sender in Wei, encoded as a hexadecimal.
  * `gas` - The gas provided by the sender, encoded as a hexadecimal.
  * `input` - The data sent along with the transaction.
  * `v` - The standardized V field of the signature.
  * `standardV` - The standardized V field of the signature (0 or 1).
  * `r` - The R field of the signature.
  * `raw` - The raw transaction data.
  * `publickey` - The public key of the signer.
  * `chainid` - The chain id of the transaction, if any.

## API Endpoint

The format of an Arbitrum Nova API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/arbitrum-nitro/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/arbitrum-nitro/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/arbitrum-nitro/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionByHash","params":["0x04b713fdbbf14d4712df5ccc7bb3dfb102ac28b99872506a363c0dcc0ce4343c"],"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
```